Loading...
Searching...
No Matches
Magick::ChannelMoments Class Reference

## Public Member Functions

| ChannelMoments (const ChannelMoments &channelMoments_)
double | centroidX (void) const
double | centroidY (void) const
PixelChannel | channel (void) const
double | ellipseAxisX (void) const
double | ellipseAxisY (void) const
double | ellipseAngle (void) const
double | ellipseEccentricity (void) const
double | ellipseIntensity (void) const
double | huInvariants (const size_t index_) const
bool | isValid () const
| ChannelMoments (const PixelChannel channel_, const MagickCore::ChannelMoments *channelMoments_)

## Private Attributes

PixelChannel | _channel
std::vector< double > | _huInvariants
double | _centroidX
double | _centroidY
double | _ellipseAxisX
double | _ellipseAxisY
double | _ellipseAngle
double | _ellipseEccentricity
double | _ellipseIntensity

## Detailed Description

Definition at line 19 of file Statistic.h.

## Constructor & Destructor Documentation

## ChannelMoments() [1/3]

Magick::ChannelMoments::ChannelMoments | ( | void |  | ) |

Definition at line 19 of file Statistic.cpp.

: _channel(SyncPixelChannel),
_huInvariants(8),
_centroidX(0.0),
_centroidY(0.0),
_ellipseAxisX(0.0),
_ellipseAxisY(0.0),
_ellipseAngle(0.0),
_ellipseEccentricity(0.0),
_ellipseIntensity(0.0)
{
}

## ChannelMoments() [2/3]

Magick::ChannelMoments::ChannelMoments | ( | const ChannelMoments & | channelMoments_ | ) |

Definition at line 32 of file Statistic.cpp.

: _channel(channelMoments_._channel),
_huInvariants(channelMoments_._huInvariants),
_centroidX(channelMoments_._centroidX),
_centroidY(channelMoments_._centroidY),
_ellipseAxisX(channelMoments_._ellipseAxisX),
_ellipseAxisY(channelMoments_._ellipseAxisY),
_ellipseAngle(channelMoments_._ellipseAngle),
_ellipseEccentricity(channelMoments_._ellipseEccentricity),
_ellipseIntensity(channelMoments_._ellipseIntensity)
{
}

## ~ChannelMoments()

Magick::ChannelMoments::~ChannelMoments | ( | void |  | ) |

Definition at line 45 of file Statistic.cpp.

{
}

## ChannelMoments() [3/3]

Magick::ChannelMoments::ChannelMoments | ( | const PixelChannel | channel_,
|  | const MagickCore::ChannelMoments * | channelMoments_
| ) |  |

Definition at line 102 of file Statistic.cpp.

: _channel(channel_),
_huInvariants(),
_centroidX(channelMoments_->centroid.x),
_centroidY(channelMoments_->centroid.y),
_ellipseAxisX(channelMoments_->ellipse_axis.x),
_ellipseAxisY(channelMoments_->ellipse_axis.y),
_ellipseAngle(channelMoments_->ellipse_angle),
_ellipseEccentricity(channelMoments_->ellipse_eccentricity),
_ellipseIntensity(channelMoments_->ellipse_intensity)
{
ssize_t
i;
for (i=0; i<8; i++)
_huInvariants.push_back(channelMoments_->invariant[i]);
}

## Member Function Documentation

## centroidX()

double Magick::ChannelMoments::centroidX | ( | void |  | ) | const

Definition at line 49 of file Statistic.cpp.

{
return(_centroidX);
}

## centroidY()

double Magick::ChannelMoments::centroidY | ( | void |  | ) | const

Definition at line 54 of file Statistic.cpp.

{
return(_centroidY);
}

## channel()

Magick::PixelChannel Magick::ChannelMoments::channel | ( | void |  | ) | const

Definition at line 59 of file Statistic.cpp.

{
return(_channel);
}

## ellipseAngle()

double Magick::ChannelMoments::ellipseAngle | ( | void |  | ) | const

Definition at line 74 of file Statistic.cpp.

{
return(_ellipseAngle);
}

## ellipseAxisX()

double Magick::ChannelMoments::ellipseAxisX | ( | void |  | ) | const

Definition at line 64 of file Statistic.cpp.

{
return(_ellipseAxisX);
}

## ellipseAxisY()

double Magick::ChannelMoments::ellipseAxisY | ( | void |  | ) | const

Definition at line 69 of file Statistic.cpp.

{
return(_ellipseAxisY);
}

## ellipseEccentricity()

double Magick::ChannelMoments::ellipseEccentricity | ( | void |  | ) | const

Definition at line 79 of file Statistic.cpp.

{
return(_ellipseEccentricity);
}

## ellipseIntensity()

double Magick::ChannelMoments::ellipseIntensity | ( | void |  | ) | const

Definition at line 84 of file Statistic.cpp.

{
return(_ellipseIntensity);
}

## huInvariants()

double Magick::ChannelMoments::huInvariants | ( | const size_t | index_ | ) | const

Definition at line 89 of file Statistic.cpp.

{
if (index_ > 7)
throw ErrorOption("Valid range for index is 0-7");
return(_huInvariants.at(index_));
}

## isValid()

bool Magick::ChannelMoments::isValid | ( |  | ) | const

Definition at line 97 of file Statistic.cpp.

{
return(_channel != SyncPixelChannel);
}

## Field Documentation

## _centroidX

double Magick::ChannelMoments::_centroidX

private

Definition at line 72 of file Statistic.h.

## _centroidY

double Magick::ChannelMoments::_centroidY

private

Definition at line 73 of file Statistic.h.

## _channel

PixelChannel Magick::ChannelMoments::_channel

private

Definition at line 70 of file Statistic.h.

## _ellipseAngle

double Magick::ChannelMoments::_ellipseAngle

private

Definition at line 76 of file Statistic.h.

## _ellipseAxisX

double Magick::ChannelMoments::_ellipseAxisX

private

Definition at line 74 of file Statistic.h.

## _ellipseAxisY

double Magick::ChannelMoments::_ellipseAxisY

private

Definition at line 75 of file Statistic.h.

## _ellipseEccentricity

double Magick::ChannelMoments::_ellipseEccentricity

private

Definition at line 77 of file Statistic.h.

## _ellipseIntensity

double Magick::ChannelMoments::_ellipseIntensity

private

Definition at line 78 of file Statistic.h.

## _huInvariants

std::vector<double> Magick::ChannelMoments::_huInvariants

private

Definition at line 71 of file Statistic.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Statistic.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Statistic.cpp